Name: pvm
Summary: Parallel Virtual Machine - parallel processing library
Version: 3.3.11
Release: 2
Copyright: freely distributable
Group: Development/Libraries
Source0: netlib2.cs.utk.edu:/pvm3/pvm-3.3.11.tar.gz
Source1: netlib2.cs.utk.edu:/pvm3/book/pvm-book.ps
Source2: netlib2.cs.utk.edu:/pvm3/faq.ps
Packager: Hans Grobler <grobh@nolian.ee.sun.ac.za>

%description
PVM is a software system that enables a collection of heterogeneous
computers to be used as a coherent and flexible concurrent computational
resource.

The individual computers may be shared- or local-memory multiprocessors,
vector supercomputers, specialized graphics engines, or scalar
workstations, that may be interconnected by a variety of networks,
such as ethernet, FDDI.

User programs written in C, C++ or Fortran access PVM through library
routines (libpvm3.a and libfpvm3.a). Daemon programs (pvmd3) provide 
communication and process control between computers.

NOTE: This package assume the existance of the "pvm" user on your
system. If this user does not exist, please create it.

%prep
if [ ! -d /home/pvm ]; then
  mkdir -pf /home/pvm
  chmod 755 /home/pvm
fi
( cd /home/pvm ;
  rm -fr pvm3 ; 
  su pvm -m -c "tar xvzf /usr/src/redhat/SOURCES/pvm-3.3.11.tar.gz" )
su pvm -c "cp /usr/src/redhat/SOURCES/pvm-book.ps /home/pvm/pvm3/doc"
su pvm -c "cp /usr/src/redhat/SOURCES/faq.ps /home/pvm/pvm3/doc"

%build
( set -e ;
  cd /home/pvm/pvm3 ; 
  export PVM_ARCH=LINUX ;
  export PVM_ROOT=/home/pvm/pvm3 ;
  export PVM_DPATH="$PVM_ROOT/lib/pvmd" ;
  su pvm -m -c make ;
  su pvm -m -c "find . -name "*.o" -exec rm {} \;" )

%install
if [ ! -d /home/pvm/pvm3 ]; then
  mkdir -p /home/pvm/pvm3
fi

%pre
TESTPVM=`grep pvm /etc/passwd | cut -d: -f1`
if [ ! "$TESTPVM" = "pvm" ]; then
  echo Please create a \"pvm\" user account before installing.
  exit 1
fi
if [ ! -d /home/pvm/pvm3 ]; then
  mkdir -p /home/pvm/pvm3
  chown pvm /home/pvm/pvm3
fi

%post
if [ -f /home/pvm/.bash_profile ]; then 
   cp -a /home/pvm/.bash_profile /home/pvm/.bash_profile.rpmsave
fi
echo "PVM_ARCH=LINUX" >> /home/pvm/.bash_profile
echo "PVM_ROOT=/home/pvm/pvm3" >> /home/pvm/.bash_profile
echo "PVM_DPATH=/home/pvm/pvm3/lib/pvmd" >> /home/pvm/.bash_profile
echo "export PVM_ARCH PVM_ROOT PVM_DPATH" >> /home/pvm/.bash_profile
echo "PATH=\$PATH:\$HOME/pvm3/lib:\$HOME/pvm3/bin/LINUX" >> /home/pvm/.bash_profile
echo "export PATH" >> /home/pvm/.bash_profile
chown pvm /home/pvm/.bash_profile

%postun
if [ -f /home/pvm/.bash_profile.rpmsave ]; then
  mv /home/pvm/.bash_profile.rpmsave /home/pvm/.bash_profile 
fi

%files
/home/pvm/pvm3/*
